Subject: Re: git log --pretty=format:%h prints (unrequired) abbreviated sha

From: alexandrul <[email-masked]>
Date: Fri, 25 Sep 2009 17:41:51 +0300

>> What (old) version of msgit do you suggest me to try to verify if it
>> is a new problem ?
>>
>> BTW gitk does not work correctly. It loads the revisions but doesn't
>> show the diffs.
>>
> 
> Also installing an old version I have the same wrong behaviour and the
> same version works on another PC and with the same repository I am
> testing with.

If nothing else works, you could try to uninstall your current version 
of git, clean up any traces left, and reinstall.

http://code.google.com/p/msysgit/issues/detail?id=336

Have a nice day,
   A.